      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this licence along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             SOKATU2910.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : Ģɼ
      *  ݡͥ̾  : ɡ()
      *              : 
      *      ȼ        
      *  05/09/12    ͭ¼          ƺ(2.5.0б)
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev				
      *  01.00.01           06/11/19    ʤǤ
      *****************************************************************
      *
       ENVIRONMENT                 DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.

      *    ե  
           SELECT  SKT2910TMP-FILE ASSIGN    SKT2910TP
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  DYNAMIC
                                   RECORD  KEY     IS  SKT2910TMP-KEY
                                   FILE    STATUS  IS  STS-SKT2910.
      *
006900*    ģ¹ѥե
           SELECT  UPD-FILE        ASSIGN  RECEUPD
                                   ORGANIZATION    IS  LINE
                                                       SEQUENTIAL 
                                   FILE    STATUS  IS  STS-RECEUPD.
      *
006900*    顼ե
           SELECT  RECEERR-FILE    ASSIGN  RECEERR
                                   FILE    STATUS  IS  STS-RECEERR.
      *    ͥݸԻѥե
           SELECT  YUSEN-FILE    ASSIGN FILE-NAME
                                 ORGANIZATION   IS  LINE SEQUENTIAL
                                 ACCESS MODE    IS  SEQUENTIAL
                                 FILE   STATUS  IS  STS-YUSEN.
      *
       DATA                        DIVISION.
       FILE                        SECTION.
      *
      *    ե  
       FD  SKT2910TMP-FILE.
           COPY    "CPSKT2910TMP.INC".
      *
006900*    ģ¹ѥե
       FD  UPD-FILE.
           COPY    "CPRCF010.INC"  REPLACING  //RECE10//
                                   BY         //RECE10X//.
      *
006900*    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC             PIC X(200). 
      *
      *    ͥݸֹե
       FD  YUSEN-FILE.
       01  YUSEN-HKNJANUM             PIC X(06). 
      *
       WORKING-STORAGE             SECTION.
      *
      *    ե ̾ΰ 
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //SKT2910TP//.
      *
006900*    ģ¹ѥե ̾ΰ 
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //RECEUPD//.
           03  FILLER              PIC X(04)   VALUE   ".dat".
      *
      *    顼ե ̾ΰ 
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //RECEERR//.
           03  FILLER              PIC X(04)   VALUE   ".dat".
      *     
      *    ΰ
           COPY    "CPCOMMONSHELL.INC".
      *
           COPY    "SKT2910.INC".
           COPY    "SKT2911.INC".
      *
      *    ΰ
       01  STS-AREA.
           03  STS-SKT2910         PIC X(02).
           03  STS-RECEERR         PIC X(02).
           03  STS-RECEUPD         PIC X(02).
           03  STS-YUSEN           PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-SKT2910TMP      PIC 9(01).
           03  FLG-RECE10          PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-HKNNUM          PIC 9(01).
           03  FLG-HKNJAINF        PIC 9(01).
           03  FLG-UPD             PIC 9(01).
           03  FLG-UPDFILE         PIC 9(01).
           03  FLG-SEIKYU          PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
           03  FLG-PRINT           PIC 9(01).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX1                PIC 9(04).
           03  IDX2                PIC 9(04).
           03  IDX3                PIC 9(04).
           03  IDX4                PIC 9(04).
           03  IDX5                PIC 9(04).
      *
      *##  ѥ᥿ΰ
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
           03  WRK-PARA-JOBID      PIC 9(07).
           03  WRK-PARA-SHELLID    PIC X(08).
           03  WRK-PARA-HOSPID     PIC X(24).
           03  WRK-PARA-HKNJANUM   PIC X(08).
           03  WRK-PARA-PAGE       PIC 9(10).
           03  WRK-PARA-SYOKBN     PIC X(01).
      *
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-SEIYMD          PIC X(08).
           03  WRK-SEIYMDWH        PIC X(22).
           03  WRK-SRYYMWH         PIC X(16).
           03  WRK-SRYYMD          PIC X(08).
      *    ե̾ѥꥢ
           03  FILE-NAME        PIC X(512).
      *
      *  
           03  WRK-SYMD.
               05  WRK-SYY         PIC 9(04).
               05  WRK-SMM         PIC 9(02).
               05  WRK-SDD         PIC 9(02).
           03  WRK-HENYMDG         PIC X(22).
      *
           03  WRK-CNT             PIC 9(02).
           03  WRK-KOHNUM          PIC X(03).
           03  WRK-HKNJANUM        PIC X(06).
           03  WRK-HKNJANAME       PIC X(20).
           03  WRK-ITBFTN-G1       PIC 9(07)V9(01).
           03  WRK-ITBFTN-G2       PIC 9(07).
           03  WRK-ITBFTN          PIC 9(07)V9(01).
      *
           03  WRK-Z3              PIC ZZZ.
           03  WRK-Z4              PIC ZZZZ.
           03  WRK-Z5              PIC Z,ZZZ.
           03  WRK-Z6              PIC ZZ,ZZZ.
           03  WRK-Z7              PIC ZZZ,ZZZ.
           03  WRK-Z9              PIC Z,ZZZ,ZZZ.
           03  WRK-Z10             PIC ZZ,ZZZ,ZZZ.
           03  WRK-Z11             PIC ZZZ,ZZZ,ZZZ.
           03  WRK-Z13             PIC Z,ZZZ,ZZZ,ZZZ.
      *
           03  WRK-RECEERR         PIC X(200).
      *
           03  WRK-MAE-INPUT       PIC X(200).
           03  WRK-OUT-INPUT       PIC X(200).
      *
           03  WRK-PATH.
               05  FILLER          PIC S9(09)  BINARY.
               05  FILLER          PIC S9(09)  BINARY.
               05  FILLER          PIC S9(09)  BINARY.
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-LINE            PIC 9(02).
           03  CNT-PAGE            PIC 9(03).
           03  CNT-RECE10          PIC 9(06).
           03  CNT-UPDFILE         PIC 9(06).
           03  CNT-IN              PIC 9(02).
           03  CNT-KOH             PIC 9(02).
           03  CNT-PRINTKOH        PIC 9(02).
      *
           COPY    "CPSHELLTBL.INC".
      *     
           COPY    "ORCA-DBPATH".
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
      *    ݸԾ
       01  HKNJAINF-REC.
           COPY    "CPHKNJAINF.INC".
      *
      *    ݸֹ
       01  HKNNUM-REC.
           COPY    "CPHKNNUM.INC".
      *
      *    ƥޥ
           COPY    "CPSYSKANRI.INC".
      *
      *    ŵؾ
           COPY    "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ 
           COPY    "CPSK1002.INC".
      *
      *    
           COPY    "CPRCF010.INC".
      *
      *    
           COPY    "CPKOHSKY.INC"
                   REPLACING  //KOHSKY//
                   BY         //RECE02//.
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      * 
      ******************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *   ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ¹
           COPY    "CPORCSPRT.INC".
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *    ̥ѥ᥿
           COPY    "MCPAREA".
      *
           COPY    "MCPDATA.INC".
      *
      *    եǥ쥯ȥֻꥵ
           COPY    "CPMKPASS.INC".
      *
      *    ѥåѥ᥿
           COPY    "CPORCSKANACHK.INC".
      *
      ****************************************************************
       LINKAGE                 SECTION.
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      ****************************************************************
       PROCEDURE           DIVISION
               USING
           COMMAND-PARAM.
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
                   UNTIL       FLG-END     =   1
      *
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           INITIALIZE                  FLG-AREA
           INITIALIZE                  STS-AREA
           INITIALIZE                  WRK-AREA
           INITIALIZE                  CNT-AREA
           INITIALIZE                  IDX-AREA
      *
           DISPLAY  "START"
      *
           PERFORM 100-DBOPEN-SEC
      *
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    LNK-PRTKANRI-RENNUM
                                               LNK-PRTKANRI-TBL-KEY
                                               LNK-PRTKANRI-TBL-GROUP
                                               LNK-PRTKANRI-SHORI-RENNUM
                                               LNK-PRTKANRI-SRYYM
                                               LNK-PRTKANRI-SKYYMD
                                               LNK-PRTKANRI-SHELLID
                                               LNK-PRTKANRI-PRIORITY
                                               LNK-PRTKANRI-TERMID
                                               LNK-PRTKANRI-OPID    
                                               LNK-PRTKANRI-PRTNM     
      *
                                               WRK-PARA-HOSPID
                                               WRK-PARA-JOBID
                                               WRK-PARA-SHELLID
                                               WRK-PARA-HKNJANUM
                                               WRK-PARA-SYOKBN
           END-UNSTRING
      *
      *    ƥå״Ͻ
           MOVE    "STS"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    "SOKATU2910"    TO  JOB-PGID
           MOVE    ""
                                   TO  JOB-SHELLMSG
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
      *
           MOVE    "SKT2910"           TO  SKT2910TP-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  SKT2910TP-TERMID
      *
           MOVE    "RECEUPD"           TO  RECEUPD-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  RECEUPD-TERMID
      *
           MOVE    "RECEERR"           TO  RECEERR-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  RECEERR-TERMID
      *
      *
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SYMD (1:6)
           MOVE    "01"                TO  WRK-SYMD (7:2)
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(1:16)   TO  WRK-SRYYMWH 
      *##
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    LNK-PRTKANRI-SKYYMD     TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           IF      STS-DAY-RC1         =   ZERO 
                   MOVE    LNK-DAY2-EDTYMD3    TO  WRK-SEIYMDWH
           END-IF
      *
      *    ŵأɣԽ
           INITIALIZE                  SYS-1001-REC
           MOVE    "1001"              TO  SYS-1001-KANRICD
           MOVE    "*"                 TO  SYS-1001-KBNCD
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                       TO  SYS-1001-STYUKYMD(1:6)
                                           SYS-1001-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1001-STYUKYMD(7:2)
                                           SYS-1001-EDYUKYMD(7:2)
           MOVE    SYS-1001-REC        TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1001-REC
               IF      SYS-1001-HOSPNAME   =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-HOSPNAME
               END-IF    
               IF      SYS-1001-KAISETUNAME    =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-KAISETUNAME
               END-IF    
           ELSE
               MOVE    "ŵؾ󤬼ǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF
      *
      *    ŵؾݽϡϢ
           INITIALIZE                  SYS-1002-REC
           MOVE    "1002"              TO  SYS-1002-KANRICD
           MOVE    "*"                 TO  SYS-1002-KBNCD
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                       TO  SYS-1002-STYUKYMD(1:6)
                                           SYS-1002-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1002-STYUKYMD(7:2)
                                           SYS-1002-EDYUKYMD(7:2)
           MOVE    SYS-1002-REC        TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC        TO  SYS-1002-REC
               IF      SYS-1002-ADRS       =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1002-ADRS
               END-IF
           ELSE
               MOVE    "ŵؾʽϡˤǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF
      *
      *
           PERFORM 110-INI-FILE-SEC
      *
           OPEN    OUTPUT  UPD-FILE
      *
           EVALUATE    WRK-PARA-SYOKBN 
               WHEN    "2"
                   MOVE    PATH-TBL-SEIKYU-KEY37    TO  WRK-PATH
               WHEN    "1"
                   MOVE    PATH-TBL-SEIKYU-KEY38    TO  WRK-PATH
           END-EVALUATE
      *  
           PERFORM 900-SEIKYU-SELECT-SEC
      *
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ͥݸֹINIեɤ߹߽  
      *****************************************************************
       110-INI-FILE-SEC                SECTION.
      *
      *
      *    եǥ쥯ȥֻ
           INITIALIZE           ORCSMKPASSAREA
           MOVE  "data/YUSEN.INI"     TO  MKPASS-IN-01
           CALL  "ORCSMKPASSSITE"  USING  ORCSMKPASSAREA
           MOVE  MKPASS-OT-01  TO  FILE-NAME
      *
      *
           INITIALIZE   YUSEN-HKNJANUM
      *
           OPEN  INPUT  YUSEN-FILE
      *
           READ YUSEN-FILE
             AT END
               INITIALIZE        YUSEN-HKNJANUM
           END-READ
      *
      *
           CLOSE YUSEN-FILE
      *
           .
       110-INI-FILE-EXT.
           EXIT.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC                SECTION.
      *
           OPEN    OUTPUT  SKT2910TMP-FILE
           CLOSE           SKT2910TMP-FILE
           OPEN    I-O     SKT2910TMP-FILE
      *
           MOVE    ZERO    TO   FLG-END
                                FLG-UPD
      *
           PERFORM 2001-KOKUHO-SYUKEI-SEC
                   UNTIL   FLG-END   =   1
      *
           CLOSE   UPD-FILE
           CLOSE   SKT2910TMP-FILE
      *
           IF      FLG-UPD   =       1
                   PERFORM   2002-PRINT-SEC
           END-IF
      *
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ    
      *****************************************************************
       300-END-SEC                     SECTION.
      *
           IF      CNT-RECE10          =   ZERO 
                   CONTINUE
           ELSE
                   IF      FLG-UPD     =   1
                           PERFORM     310-SEIKYU-UPD-SEC
                   END-IF
           END-IF
           MOVE  CNT-PAGE  TO  WRK-PARA-PAGE
      *
           DISPLAY "*** SOKATU2910 IN  "  CNT-RECE10 
           DISPLAY "*** SOKATU2910 END ***"
      *
      *    ƥå׽λ
           MOVE    "STE"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
      *
           MOVE    WRK-PARA-PAGE   TO  JOB-UPDCNT
      *
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA  
                                   JOBKANRI-REC

           PERFORM 900-DBDISCONNECT-SEC
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸֹ̽׽
      *****************************************************************
       2001-KOKUHO-SYUKEI-SEC              SECTION.
      * 
      *TMP-FILE å
      *
           INITIALIZE       SKT2910TMP-REC
      *
           MOVE    RECE10-HKNJANUM-S       TO  SKT2910TMP-HKNJANUM
      *
      *    𡦺߰
           MOVE    RECE10-ZAITAKU          TO  SKT2910TMP-ZAITAKU
      *
      *    
           IF      YUSEN-HKNJANUM      =   SKT2910TMP-HKNJANUM
               MOVE    "1"     TO  SKT2910TMP-SYUTURYOKU
           ELSE
               IF      RECE10-PREFKBN  =   "1"
                   MOVE    "2"     TO  SKT2910TMP-SYUTURYOKU
               ELSE
                   MOVE    "3"     TO  SKT2910TMP-SYUTURYOKU
               END-IF
           END-IF
      *
      *    ˡ곰Ƚ
           IF      SKT2910TMP-HKNJANUM(3:1)    =   "3"     AND
                   RECE10-RJNHKNNUM            =   SPACE   AND
                   RECE10-AGE                  <   70      AND
                   RECE10-AGE                  >   2       AND
                   RECE10-KYURATE          NOT =   7
               MOVE    RECE10-KYURATE      TO  SKT2910TMP-KYURATE
           END-IF
      *
           PERFORM 900-SKTTMP-READ-SEC
      *
           PERFORM 210-HKN-SYUKEI-SEC
      *
      *    פоݤˤʤʤäȤ
           IF      FLG-UPD             =   1
               PERFORM 230-UPD-FILE-HENSYU-SEC
      *
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               MOVE    SPACE               TO  WRK-RECEERR
               STRING "оݳֹ"     DELIMITED  BY  SIZE
                       RECE10-PTNUM                DELIMITED  BY  SPACE
                       " ǯ"               DELIMITED  BY  SIZE
                       RECE10-SRYYM                DELIMITED  BY  SIZE
                       " 쥻̡"               DELIMITED  BY  SIZE
                       RECE10-RECESYUBETU          DELIMITED  BY  SIZE
                                           INTO    WRK-RECEERR
               END-STRING                                
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF 
           .
       2001-KOKUHO-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸϷݷʬ׽
      *****************************************************************
       210-HKN-SYUKEI-SEC          SECTION.
      *
      *    
           IF      RECE10-NYUGAIKBN    =   "1"
               MOVE    1       TO  IDX2
           ELSE
               MOVE    2       TO  IDX2
           END-IF
      *
      *    Ϸݷ
           IF  RECE10-RJNHKNNUM  NOT  =  SPACE
               IF      RECE10-KYURATE  =   9
                   MOVE    10      TO  IDX1
               ELSE
                   MOVE    11      TO  IDX1
               END-IF
               MOVE    1       TO  SKT2910TMP-PAGE-FLG2
           ELSE
      *        ̡࿦
               IF      RECE10-HKNNUM   =   "060"
                   IF      RECE10-AGE  >=  70
                       IF      RECE10-KYURATE  =   9
                           MOVE    1       TO  IDX1
                       ELSE
                           MOVE    2       TO  IDX1
                       END-IF
                   ELSE
                       IF      RECE10-AGE  >=  3
                           MOVE    3       TO  IDX1
                       ELSE
                           MOVE    4       TO  IDX1
                       END-IF
                   END-IF
      *
      *        ࿦
               ELSE
                   IF      RECE10-AGE  >=  70
                       IF      RECE10-KYURATE  =   9
                           MOVE    6       TO  IDX1
                       ELSE
                           MOVE    7       TO  IDX1
                       END-IF
                   ELSE
                       IF      RECE10-HONKZKKBN    =   "1"
                           MOVE    5       TO  IDX1
                       ELSE
                           IF      RECE10-AGE  <   3
                               MOVE    9       TO  IDX1
                           ELSE
                               MOVE    8       TO  IDX1
                           END-IF
                       END-IF
                   END-IF
               END-IF
               MOVE    1       TO  SKT2910TMP-PAGE-FLG1
           END-IF
      *
           PERFORM  2101-SYUKEI-SEC
      *
      *    ôʬ
           IF      RECE10-KOHNUM (1)   NOT =   SPACE  OR
                   RECE10-KOHNUM (2)   NOT =   SPACE  OR
                   RECE10-KOHNUM (3)   NOT =   SPACE  OR
                   RECE10-KOHNUM (4)   NOT =   SPACE
               PERFORM 220-KOH-SYUKEI-SEC
           END-IF
      *
      *
           IF      FLG-SKT2910TMP  =   1
               WRITE   SKT2910TMP-REC
           ELSE
               REWRITE SKT2910TMP-REC
           END-IF
      *
           MOVE    1    TO  FLG-UPD 
      *
           .
       210-HKN-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸ̹ʬ׽
      *****************************************************************
       2101-SYUKEI-SEC         SECTION.
      *
      *    ܤε
      *    
           ADD     1                   TO  SKT2910TMP-KENSU(IDX1 IDX2)
      *
      *    
           ADD     RECE10-JNISSU(1)    TO  SKT2910TMP-NISSU(IDX1 IDX2)
      *
      *    
           ADD     RECE10-TOTALTEN(1)  TO  SKT2910TMP-TENSU(IDX1 IDX2)
      *
      *    ô
           ADD     RECE10-FTNMONEY(1)  TO  SKT2910TMP-ITBFTN(IDX1 IDX2)
      *
      *    
      *    
           IF      RECE10-SHOKUJINISSU(1)  >   0
      *        
               ADD     1               TO  SKT2910TMP-SKENSU(IDX1)
      *---(01.00.01) LINE ADD START ------------------------------------
           END-IF
      *---(01.00.01) LINE ADD END   ------------------------------------
      *    
           ADD     RECE10-SHOKUJINISSU(1)
                                       TO  SKT2910TMP-SNISSU(IDX1)
      *    
           ADD     RECE10-SHOKUJIRYOYOHI(1)
                                       TO  SKT2910TMP-SKINGK(IDX1)
      *    ɸô
           ADD     RECE10-SHOKUJIFTN(1)
                                       TO  SKT2910TMP-SFTNGK(IDX1)
      *---(01.00.01) LINE ADD START ------------------------------------
      *     END-IF
      *---(01.00.01) LINE ADD END   ------------------------------------
      *
           .
       2101-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ôʬ׽
      *****************************************************************
       220-KOH-SYUKEI-SEC        SECTION.
      *
           PERFORM VARYING IDX3    FROM    1   BY  1
                   UNTIL   IDX3    >       4
                   OR      RECE10-KOHNUM(IDX3) =   SPACE
      *
      *        ׾
      *        ݸȽ
               IF      RECE10-RJNHKNNUM    =   SPACE
                   IF      RECE10-HKNNUM   =  "060"
                       MOVE    1       TO  IDX4          
                   ELSE
                       MOVE    2       TO  IDX4
                   END-IF
               ELSE
                   MOVE    3       TO  IDX4
               END-IF
      *
      *        ͭǡե饰
               MOVE    1       TO  SKT2910TMP-KOH-FLG(IDX4)
      *
      *        ܤεա
               ADD     1       TO  SKT2910TMP-K-KENSU(IDX4 IDX2)
      *
      *        ܤε:ż
               ADD     RECE10-JNISSU(IDX3 + 1) 
                               TO  SKT2910TMP-K-NISSU(IDX4 IDX2)
      *
      *        ܤεա
               ADD     RECE10-TOTALTEN(IDX3 + 1)
                               TO  SKT2910TMP-K-TENSU(IDX4 IDX2)
      *
      *        ܤεաô
               ADD     RECE10-FTNMONEY(IDX3 + 1)
                               TO  SKT2910TMP-K-ITBFTN(IDX4 IDX2)
      *
           END-PERFORM
      *
      *
           .
       220-KOH-SYUKEI-EXT.
           EXIT.
057400*
      *****************************************************************
006900*    ģ¹ѥեϽ
      *****************************************************************
       230-UPD-FILE-HENSYU-SEC         SECTION.
      *
           MOVE    RECE10-REC          TO  RECE10X-REC
           WRITE   RECE10X-REC
           ADD     1                   TO  CNT-UPDFILE
           .
       230-UPD-FILE-HENSYU-EXT.
           EXIT.
057400*
      *****************************************************************
      *    ĢɼեϽ
      *****************************************************************
       2002-PRINT-SEC                SECTION.
      *
           OPEN    INPUT   SKT2910TMP-FILE
      *
           MOVE    ZERO    TO  FLG-PRINT
      *
      *    եɹ
           PERFORM 900-TMP-READ-SEC
      *
           PERFORM UNTIL   FLG-PRINT   =   1
      *
               IF      SKT2910TMP-PAGE-FLG1  =   1
      *
      *            ĢɼԽ<Ф>
                   PERFORM  310-HEAD-HEN-SEC
      *
      *            ĢɼԽ<>
                   PERFORM  320-BODY-HEN-SEC
      *
      *            Ģɼ
                   PERFORM  330-PRINT-OUT-SEC
               END-IF
      *
               IF      SKT2910TMP-PAGE-FLG2    =   1
      *
      *            ĢɼԽ<Ф>
                   PERFORM  311-HEAD-HEN-SEC
      *
      *            ĢɼԽ<>
                   PERFORM  321-BODY-HEN-SEC
      *
      *            Ģɼ
                   PERFORM  331-PRINT-OUT-SEC
               END-IF
      *
      *        եɹ
               PERFORM  900-TMP-READ-SEC
           END-PERFORM
      *
           CLOSE   SKT2910TMP-FILE
      *
           .
       2002-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>
      *****************************************************************
       310-HEAD-HEN-SEC          SECTION.
      *
           ADD     1       TO  CNT-PAGE
      *
           INITIALIZE  SKT2910
      *
      *    ǯ
           MOVE    WRK-SRYYMWH             TO  SKT2910-SRYYM
      *
      *    ǯ
           MOVE    WRK-SEIYMDWH            TO  SKT2910-SEIYMD
      *
      *    ŵؽ
           MOVE    SYS-1002-ADRS           TO  SKT2910-HOSPADRS
      *
      *    ŵ̾
           MOVE    SYS-1001-HOSPNAME       TO  SKT2910-HOSPNAME
      *
      *    ߼̾
           MOVE    SYS-1001-KAISETUNAME    TO  SKT2910-KAISETU
      *
      *    ݸֹ
           MOVE    SKT2910TMP-HKNJANUM     TO  WRK-MAE-INPUT
           PERFORM 2009-HENKAN-SEC
           MOVE    WRK-OUT-INPUT           TO  SKT2910-HKNJANUM
      *
      *    ŵإ
           MOVE    SYS-1001-HOSPCDN        TO  SKT2910-HOSPCDN
      *
      *    ǡ߰
           IF      SKT2910TMP-ZAITAKU  =   "1"
               MOVE    ""        TO  SKT2910-ZAITAKU1
               MOVE    ""        TO  SKT2910-ZAITAKU2
           END-IF
      *
      *    ݸ̾
           MOVE    SKT2910TMP-HKNJANUM     TO  WRK-HKNJANUM
           PERFORM 920-HKNJAINF-SET-SEC
           IF      WRK-HKNJANAME       =   SPACE
               MOVE    ""                TO  SKT2910-HKNJANAME(11:2)
           ELSE
               STRING  WRK-HKNJANAME       DELIMITED BY SPACE
                       "  "              DELIMITED BY SIZE
                       INTO                SKT2910-HKNJANAME
               END-STRING
           END-IF
      *
      *    ɽʬ
           MOVE    ""        TO  SKT2910-TENHYOKBN
      *
      *    ճ
           EVALUATE    SKT2910TMP-KYURATE
               WHEN    8
                   MOVE    ""        TO  SKT2910-WARIAI(2)
               WHEN    9
                   MOVE    ""        TO  SKT2910-WARIAI(3)
               WHEN    10
                   MOVE    ""        TO  SKT2910-WARIAI(4)
               WHEN    OTHER
                   MOVE    ""        TO  SKT2910-WARIAI(1)
          END-EVALUATE
      *
      *   ڡ
          MOVE    CNT-PAGE               TO  WRK-Z4
          MOVE    WRK-Z4                 TO  SKT2910-NO
      *
           .
       310-HEAD-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>
      *****************************************************************
       320-BODY-HEN-SEC      SECTION.
      *
           PERFORM VARYING IDX1    FROM    1   BY  1
                   UNTIL   IDX1    >       9
               PERFORM VARYING IDX2    FROM    1   BY  1
                       UNTIL   IDX2    >       2
      *
      *            
                   MOVE    SKT2910TMP-KENSU(IDX1 IDX2) TO  WRK-Z5
                   MOVE    WRK-Z5      TO  SKT2910-KENSU(IDX1 IDX2)
      *
      *            
                   MOVE    SKT2910TMP-NISSU(IDX1 IDX2) TO  WRK-Z5
                   MOVE    WRK-Z5      TO  SKT2910-NISSU(IDX1 IDX2)
      *
      *            
                   MOVE    SKT2910TMP-TENSU(IDX1 IDX2) TO  WRK-Z9
                   MOVE    WRK-Z9      TO  SKT2910-TENSU(IDX1 IDX2)
      *
      *            ô
                   IF      IDX2    =   1
                       MOVE    SKT2910TMP-ITBFTN(IDX1 IDX2)
                                                       TO  WRK-Z9
                       MOVE    WRK-Z9  TO  SKT2910-ITBFTN (IDX1 IDX2)
                   END-IF
             END-PERFORM
      *
      *      ܡ
             MOVE     SKT2910TMP-SKENSU (IDX1)     TO   WRK-Z5
             MOVE     WRK-Z5       TO   SKT2910-SKENSU (IDX1)
      *
      *      ܡ
             MOVE     SKT2910TMP-SNISSU (IDX1)     TO   WRK-Z5
             MOVE     WRK-Z5       TO   SKT2910-SNISSU (IDX1)
      *
      *      ܡ
             MOVE     SKT2910TMP-SKINGK (IDX1)     TO   WRK-Z9
             MOVE     WRK-Z9       TO   SKT2910-SKINGK (IDX1)
      *
      *      ܡɸô
             MOVE     SKT2910TMP-SFTNGK (IDX1)     TO   WRK-Z9
             MOVE     WRK-Z9       TO   SKT2910-SFTNGK (IDX1)
           END-PERFORM
      *
      *    ô
           PERFORM VARYING IDX1    FROM    1   BY  1
                   UNTIL   IDX1    >       2
      *
      *        ǡͭΤ߰
               IF     SKT2910TMP-KOH-FLG(IDX1)    =   1
      *            줾ʤˤΤ߰
                   IF  IDX1    =   1
                       MOVE    1       TO  IDX3
                   ELSE
                       MOVE    3       TO  IDX3
                   END-IF
      *
                   PERFORM VARYING IDX2    FROM    1   BY  1
                           UNTIL   IDX2    >       2
      *
      *                
                       MOVE    SKT2910TMP-K-KENSU(IDX1 IDX2)
                                                   TO   WRK-Z5
                       MOVE    WRK-Z5  TO  SKT2910-K-KENSU(IDX3 IDX2)
      *
      *                
                       MOVE    SKT2910TMP-K-NISSU(IDX1 IDX2)
                                                   TO   WRK-Z5
                       MOVE    WRK-Z5  TO  SKT2910-K-NISSU(IDX3 IDX2)
      *
      *                
                       MOVE    SKT2910TMP-K-TENSU(IDX1 IDX2)
                                                   TO   WRK-Z9
                       MOVE    WRK-Z9  TO  SKT2910-K-TENSU(IDX3 IDX2)
      *
      *                ô
                       MOVE    SKT2910TMP-K-ITBFTN(IDX1 IDX2)
                                                   TO   WRK-Z9
                       MOVE    WRK-Z9  TO  SKT2910-K-ITBFTN(IDX3 IDX2)
                   END-PERFORM
               END-IF
           END-PERFORM
      *
           .
       320-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       330-PRINT-OUT-SEC                SECTION.
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID 
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE   "SKT2910.red"        TO  SPRT-PRTID
           MOVE    ""        TO  SPRT-TITLE
           MOVE    SKT2910             TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       330-PRINT-OUT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>
      *****************************************************************
       311-HEAD-HEN-SEC          SECTION.
      *
           ADD     1       TO  CNT-PAGE
      *
           INITIALIZE  SKT2911
      *
      *    ǯ
           MOVE    WRK-SRYYMWH             TO  SKT2911-SRYYM
      *
      *    ǯ
           MOVE    WRK-SEIYMDWH            TO  SKT2911-SEIYMD
      *
      *    ŵؽ
           MOVE    SYS-1002-ADRS           TO  SKT2911-HOSPADRS
      *
      *    ŵ̾
           MOVE    SYS-1001-HOSPNAME       TO  SKT2911-HOSPNAME
      *
      *    ߼̾
           MOVE    SYS-1001-KAISETUNAME    TO  SKT2911-KAISETU
      *
      *    ݸֹ
           MOVE    SKT2910TMP-HKNJANUM     TO  WRK-MAE-INPUT
           PERFORM 2009-HENKAN-SEC
           MOVE    WRK-OUT-INPUT           TO  SKT2911-HKNJANUM
      *
      *    ŵإ
           MOVE    SYS-1001-HOSPCDN        TO  SKT2911-HOSPCDN
      *
      *    ǡ߰
           IF      SKT2910TMP-ZAITAKU  =   "1"
               MOVE    ""        TO  SKT2911-ZAITAKU1
               MOVE    ""        TO  SKT2911-ZAITAKU2
           END-IF
      *
      *    ݸ̾
           MOVE    SKT2910TMP-HKNJANUM     TO  WRK-HKNJANUM
           PERFORM 920-HKNJAINF-SET-SEC
           IF      WRK-HKNJANAME       =   SPACE
               MOVE    ""            TO  SKT2911-HKNJANAME(11:2)
           ELSE
               STRING  WRK-HKNJANAME       DELIMITED BY SPACE
                       "  "              DELIMITED BY SIZE
                       INTO                SKT2911-HKNJANAME
               END-STRING
           END-IF
      *
      *    ɽʬ
           MOVE    ""        TO  SKT2911-TENHYOKBN
      *
           MOVE    CNT-PAGE    TO  WRK-Z4
           MOVE    WRK-Z4      TO  SKT2911-NO
      *
           .
       311-HEAD-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>
      *****************************************************************
       321-BODY-HEN-SEC      SECTION.
      *
      *
           PERFORM VARYING IDX1    FROM    10  BY  1
                   UNTIL   IDX1    >       11
               COMPUTE IDX3    =   IDX1    -   9
               PERFORM VARYING IDX2    FROM    1   BY  1
                       UNTIL   IDX2    >       2
      *
      *            
                   MOVE    SKT2910TMP-KENSU(IDX1 IDX2) TO  WRK-Z5
                   MOVE    WRK-Z5      TO  SKT2911-KENSU (IDX3 IDX2)
      *
      *            
                   MOVE    SKT2910TMP-NISSU(IDX1 IDX2) TO  WRK-Z5
                   MOVE    WRK-Z5      TO  SKT2911-NISSU (IDX3 IDX2)
      *
      *            
                   MOVE    SKT2910TMP-TENSU(IDX1 IDX2) TO  WRK-Z9
                   MOVE    WRK-Z9      TO  SKT2911-TENSU (IDX3 IDX2)
      *
      *            ô
                   MOVE    SKT2910TMP-ITBFTN(IDX1 IDX2)
                                                       TO  WRK-Z9
                   MOVE    WRK-Z9      TO  SKT2911-ITBFTN (IDX3 IDX2)
             END-PERFORM
      *
      *      ܡ
             MOVE    SKT2910TMP-SKENSU(IDX1)   TO  WRK-Z5
             MOVE    WRK-Z5      TO  SKT2911-SKENSU (IDX3)
      *
      *    ܡ
             MOVE     SKT2910TMP-SNISSU (IDX1) TO  WRK-Z5
             MOVE     WRK-Z5     TO   SKT2911-SNISSU (IDX3)
      *
      *    ܡ
             MOVE     SKT2910TMP-SKINGK (IDX1) TO  WRK-Z9
             MOVE     WRK-Z9     TO   SKT2911-SKINGK (IDX3)
      *
      *    ܡɸô
             MOVE     SKT2910TMP-SFTNGK (IDX1) TO  WRK-Z9
             MOVE     WRK-Z9     TO   SKT2911-SFTNGK (IDX3)
           END-PERFORM
      *
      *    ô
      *    ǡͭΤ߰
           IF      SKT2910TMP-KOH-FLG(3)   =   1
               PERFORM VARYING IDX2    FROM    1   BY  1
                       UNTIL   IDX2    >       2
      *
      *            
                   MOVE    SKT2910TMP-K-KENSU(3 IDX2)  TO  WRK-Z5
                   MOVE    WRK-Z5      TO  SKT2911-K-KENSU(1 IDX2)
      *
      *            
                   MOVE    SKT2910TMP-K-NISSU(3 IDX2)  TO  WRK-Z5
                   MOVE    WRK-Z5      TO  SKT2911-K-NISSU(1 IDX2)
      *
      *            
                   MOVE    SKT2910TMP-K-TENSU(3 IDX2)  TO  WRK-Z9
                   MOVE    WRK-Z9      TO  SKT2911-K-TENSU(1 IDX2)
      *
      *            ô
                   MOVE    SKT2910TMP-K-ITBFTN(3 IDX2) TO  WRK-Z9
                   MOVE    WRK-Z9      TO  SKT2911-K-ITBFTN(1 IDX2)
               END-PERFORM
           END-IF
      *
           .
       321-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       331-PRINT-OUT-SEC                SECTION.
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID 
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE   "SKT2911.red"        TO  SPRT-PRTID
           MOVE    ""        TO  SPRT-TITLE
           MOVE    SKT2911             TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       331-PRINT-OUT-EXT.
           EXIT.
      *
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC                SECTION.
      *
           OPEN    INPUT   RECEERR-FILE
           IF      STS-RECEERR         =   ZERO
               CLOSE   RECEERR-FILE
           ELSE
               OPEN    OUTPUT              RECEERR-FILE
      *
               MOVE    WRK-RECEERR         TO  RECEERR-REC
               WRITE   RECEERR-REC
               CLOSE   RECEERR-FILE
      *         
      *        ִϽ
               MOVE    "JBE"           TO  SJOBKANRI-MODE
               INITIALIZE                  JOBKANRI-REC
               MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
               MOVE    WRK-PARA-SHELLID
                                       TO  JOB-SHELLID
               MOVE    WRK-RECEERR     TO  JOB-YOBI
               MOVE    "9999"          TO  JOB-ERRCD
               CALL    "ORCSJOB"       USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
           END-IF
      *
           MOVE    1                   TO  FLG-END     
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *   ģ¹
      *****************************************************************
       310-SEIKYU-UPD-SEC              SECTION.
      *
           OPEN    INPUT    UPD-FILE
      *
           PERFORM 900-UPD-FILE-READ-SEC
           PERFORM             UNTIL   FLG-UPDFILE    =   1
               MOVE    RECE10X-KEY         TO  RECE10-KEY
               MOVE    RECE10-REC          TO  MCPDATA-REC
               PERFORM 910-SEIKYU-INV-SEC
               IF      FLG-SEIKYU          =   ZERO
                   MOVE    "2"             TO  RECE10-SKYKBN
      *
      *
                   MOVE    LNK-PRTKANRI-SRYYM
                                           TO  RECE10-SKYYM
                   MOVE    LNK-PRTKANRI-SKYYMD
                                           TO  RECE10-UPDYMD
      *
                   MOVE    RECE10-REC      TO  MCPDATA-REC
                   MOVE    "DBUPDATE"      TO  MCP-FUNC
                   MOVE    PATH-TBL-SEIKYU-KEY
                                           TO  MCP-PATH
                   CALL    "MCPSUB"        USING
                                               MCPAREA
                                               MCPDATA-REC
                   IF      MCP-RC          =   ZERO
                       PERFORM 900-UPD-FILE-READ-SEC
                   ELSE
                       DISPLAY "UPD ERR KEY="  RECE10-KEY 
                       MOVE  "*** SOKATU2910 SEIKYU UPD ERR ***"
                                           TO  WRK-RECEERR
                       MOVE    RECE10-KEY  TO  WRK-RECEERR(33:)
                       PERFORM 500-ERR-HENSYU-SEC
                       MOVE    1           TO  FLG-UPDFILE
                   END-IF
               ELSE
                       DISPLAY "INV ERR KEY="  RECE10-KEY 
                   MOVE  "*** SOKATU2910 SEIKYU INVALID ***"
                                           TO  WRK-RECEERR
                   MOVE    RECE10-KEY      TO  WRK-RECEERR(33:)
                   PERFORM 500-ERR-HENSYU-SEC
                   MOVE    1               TO  FLG-UPDFILE
               END-IF
           END-PERFORM  
      *
           CLOSE   UPD-FILE
           .
       310-SEIKYU-UPD-EXT.
           EXIT.
      *
      *****************************************************************
      *   ݸԾ󥻥å
      *****************************************************************
       920-HKNJAINF-SET-SEC  SECTION.
      *
           INITIALIZE  HKNJAINF-REC
           MOVE    SYS-1001-HOSPID      TO  HKNJA-HOSPID
           MOVE    WRK-HKNJANUM         TO  HKNJA-HKNJANUM
           MOVE    HKNJAINF-REC         TO  MCPDATA-REC
           MOVE    "DBSELECT"           TO  MCP-FUNC
           MOVE    "DBSELECT"           TO  MCP-FUNC
           MOVE    PATH-TBL-HKNJAINF-KEY
                                        TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                            MCPAREA
                                            MCPDATA-REC
           IF  MCP-RC  =  ZERO
               MOVE  PATH-TBL-HKNJAINF-KEY       TO  MCP-PATH
               PERFORM  925-HKNJAINF-READ-SEC
               MOVE  HKNJA-HKNJANAME   TO  WRK-HKNJANAME
           ELSE
               DISPLAY  "HKNJAINF SELECT ERR"
           END-IF
      *
           INITIALIZE  MCPAREA
           MOVE    "DBCLOSECURSOR"         TO  MCP-FUNC
           MOVE    PATH-TBL-HKNJAINF-KEY   TO  MCP-PATH
           CALL    "MCPSUB"                USING
                                               MCPAREA
                                               MCPDATA-REC
      *
           .
       920-HKNJAINF-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸԾɹ
      *****************************************************************
       925-HKNJAINF-READ-SEC  SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
           IF  MCP-RC  =  ZERO
               MOVE    MCPDATA-REC  TO  HKNJAINF-REC
               MOVE    ZERO         TO  FLG-HKNJAINF
           ELSE
               INITIALIZE  HKNJAINF-REC
               MOVE    1   TO  FLG-HKNJAINF
           END-IF
      *
           .
       925-HKNJAINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ɹ
      *****************************************************************
       900-SEIKYU-SELECT-SEC             SECTION.
      *
      *    ģ¸
           INITIALIZE                  RECE10-REC
      *
      *
           MOVE   SYS-1001-HOSPID       TO    RECE10-HOSPID.
           MOVE   LNK-PRTKANRI-SRYYM    TO    RECE10-SKYYM.
      *
           IF    WRK-PARA-HKNJANUM  NOT = ZERO
               MOVE  WRK-PARA-HKNJANUM  TO  RECE10-XXSTHKNJANUM
                                            RECE10-XXEDHKNJANUM
           ELSE
               MOVE    SPACE            TO  RECE10-XXSTHKNJANUM
               MOVE    "99999999"       TO  RECE10-XXEDHKNJANUM
           END-IF
      *
           MOVE    RECE10-REC          TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    WRK-PATH            TO  MCP-PATH
           CALL    "MCPSUB"                USING
                                           MCPAREA
                                           MCPDATA-REC
           IF      MCP-RC              =   ZERO
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-END
           END-IF
           .
       900-SEIKYU-SELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-SEIKYU-READ-SEC           SECTION.
      *
           MOVE    WRK-PATH            TO  MCP-PATH
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL    "MCPSUB"                USING
                                           MCPAREA
                                           MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    ZERO            TO  FLG-END
               MOVE    MCPDATA-REC         TO  RECE10-REC
      *
      *        ƥȴԤΤȤɤФ
               MOVE    SPACE               TO  PTINF-REC
               INITIALIZE                      PTINF-REC
               MOVE    RECE10-HOSPID       TO  PTINF-HOSPID
               MOVE    RECE10-PTID         TO  PTINF-PTID
               MOVE    PTINF-REC           TO  MCPDATA-REC
               PERFORM 800-PTINF-READ-SEC
               IF      FLG-PTINF           =   ZERO
               AND     PTINF-TSTPTNUMKBN   =   "1"
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF   
      *         
               ADD     1                   TO  CNT-RECE10   
           ELSE
               MOVE    1               TO  FLG-END
           END-IF
      *
           .
       900-SEIKYU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ԥޥɹ
      *****************************************************************
       800-PTINF-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"                 TO  MCP-FUNC
           MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                  TO  MCP-FUNC
               MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
               CALL    "MCPSUB"             USING
                                            MCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-PTINF
                   MOVE    MCPDATA-REC         TO  PTINF-REC
               ELSE
                   MOVE    1                   TO  FLG-PTINF
                   INITIALIZE                  PTINF-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PTINF
               INITIALIZE                  PTINF-REC
           END-IF
      *
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
           MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
      *
           .
       800-PTINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ץեɹ
      *****************************************************************
       900-SKTTMP-READ-SEC             SECTION.
      *
           READ    SKT2910TMP-FILE
               INVALID    KEY
                   MOVE    1           TO  FLG-SKT2910TMP
               NOT INVALID  KEY
                   MOVE    ZERO        TO  FLG-SKT2910TMP
           END-READ
           .
       900-SKTTMP-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    եɹ
      *****************************************************************
       900-TMP-READ-SEC                SECTION.
      *
           READ  SKT2910TMP-FILE   NEXT
               AT  END
                   MOVE  1  TO  FLG-PRINT
           END-READ
           .
       900-TMP-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ģ¹ѥեɹ
      *****************************************************************
       900-UPD-FILE-READ-SEC             SECTION.
      *
           READ    UPD-FILE
               AT  END
                   MOVE    1           TO  FLG-UPDFILE
               NOT AT  END
                   MOVE    ZERO        TO  FLG-UPDFILE
           END-READ
           .
       900-UPD-FILE-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɹ
      *****************************************************************
       910-SYSKANRI-INV-SEC         SECTION.
      *
      *
           MOVE    "DBSELECT"                   TO  MCP-FUNC
           MOVE    PATH-TBL-SYSKANRI-KEY10      TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                    TO  MCP-FUNC
               MOVE    PATH-TBL-SYSKANRI-KEY10      TO  MCP-PATH
               CALL    "MCPSUB"             USING
                                            MCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SYSKANRI
               ELSE
                   MOVE    1                   TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "DBCLOSECURSOR"              TO  MCP-FUNC
           MOVE    PATH-TBL-SYSKANRI-KEY10      TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
      *
           .
       910-SYSKANRI-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       910-SEIKYU-INV-SEC         SECTION.
      *
           MOVE    "DBSELECT"                   TO  MCP-FUNC
           MOVE    PATH-TBL-SEIKYU-KEY          TO  MCP-PATH
           CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                TO  MCP-FUNC
               MOVE    PATH-TBL-SEIKYU-KEY      TO  MCP-PATH
               CALL    "MCPSUB"            USING
                                               MCPAREA
                                               MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SEIKYU
                   MOVE    MCPDATA-REC         TO  RECE10-REC
               ELSE
                   MOVE    1                   TO  FLG-SEIKYU
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SEIKYU
           END-IF
      *
      *
           MOVE    "DBCLOSECURSOR"                    TO  MCP-FUNC
           MOVE    PATH-TBL-SEIKYU-KEY                TO  MCP-PATH
           CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
      *
           .
       910-SEIKYU-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ѵ
      *****************************************************************
       2009-HENKAN-SEC                 SECTION.
      *
           INITIALIZE                  WRK-OUT-INPUT
      *
           INITIALIZE                  ORCSKANACHKAREA
           MOVE    "2"                 TO  KANACHK-SYORI
           MOVE    WRK-MAE-INPUT       TO  KANACHK-MAE-INPUT
           CALL    "ORCSKANACHK"       USING
                                       ORCSKANACHKAREA
           IF      KANACHK-RC          =   ZERO
               MOVE    KANACHK-OUT-INPUT
                                           TO  WRK-OUT-INPUT
           ELSE
               MOVE    WRK-MAE-INPUT       TO  WRK-OUT-INPUT
           END-IF
      *
           .
       2009-HENKAN-EXT.
           EXIT.
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC                SECTION.
      *
           MOVE    "DBOPEN"            TO  MCP-FUNC.
           CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
      *
           MOVE    "DBSTART"           TO  MCP-FUNC.
           CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
           MOVE    "DBCOMMIT"          TO  MCP-FUNC.
           CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
      *
           MOVE    "DBDISCONNECT"      TO  MCP-FUNC.
           CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
           .                             
       900-DBCLOSE-EXT.
           EXIT.
