      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION  DIVISION.
       PROGRAM-ID.     SEIKYU2909.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : 
      *  ݡͥ̾  : ʡ񼫸ôۻʧٽ
      *                      (141,171,271,181,191)
      *              : 
      *      ȼ        
      *  05/09/12    ͭ¼          ƺ(2.5.0б)
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev				
      *****************************************************************
      *
       ENVIRONMENT   DIVISION.
       CONFIGURATION SECTION.
       INPUT-OUTPUT  SECTION.
       FILE-CONTROL.
      *
      *    ѥե
           SELECT  MF100-FILE   ASSIGN    MF100PARA
                               ORGANIZATION    IS  INDEXED
                               ACCESS  MODE    IS  DYNAMIC
                               RECORD  KEY     IS  MF100-KEY
                               FILE    STATUS  IS  STS-MF100.
      *
006900*    顼ե
           SELECT  RECEERR-FILE ASSIGN  RECEERR
                                FILE    STATUS  IS  STS-RECEERR.
      *
       DATA  DIVISION.
       FILE  SECTION.
      *
      *
      *    ץե
       FD  MF100-FILE.
       01  MF100-REC.
           COPY  "SEI2909.INC".
      *
006900*    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC  PIC X(200).
      *
       WORKING-STORAGE  SECTION.
      *
      *
           COPY  "CPCOMMONDAT2.INC"
                   REPLACING  //RECE01//
                   BY         //MF100//.
      *
      *    顼ե ̾ΰ
           COPY  "CPCOMMONDAT2.INC"
                   REPLACING  //RECE01PARA//
                   BY         //RECEERR//.
           03      PIC X(04)   VALUE   ".dat".
      *
           COPY  "SC2909.INC".
      *
      *    ΰ
       01  STS-AREA.
           03  STS-MF100    PIC X(02).
           03  STS-RECE02   PIC X(02).
           03  STS-RECEERR  PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-PTINF       PIC 9(01).
           03  FLG-END         PIC 9(01).
           03  FLG-SYUNOU      PIC 9(01).
           03  FLG-TYOKI       PIC 9(01).
           03  FLG-PRINT       PIC 9(01).
           03  FLG-SYSKANRI    PIC 9(01).
           03  FLG-HKNCOMBI    PIC 9(01).
           03  FLG-ERR         PIC 9(01).
           03  FLG-BTPARA      PIC 9(01).
           03  FLG-SYORI       PIC 9(01).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX             PIC 9(04).
           03  IDXX            PIC 9(04).
           03  IDX1            PIC 9(04).
           03  IDX2            PIC 9(04).
           03  IDX3            PIC 9(04).
           03  IDY             PIC 9(04).
           03  IDZ             PIC 9(04).
      *
      *    ѥ᥿ΰ
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
           03  WRK-PARA-JOBID      PIC 9(07).
           03  WRK-PARA-SHELLID    PIC X(08).
           03  WRK-PARA-HOSPID     PIC X(24).
           03  WRK-PARA-PAGE       PIC 9(10).
           03  WRK-PARA-SYORIFLG   PIC X(01).
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-RECEERR           PIC X(200).
           03  WRK-Z2                PIC ZZ.
           03  WRK-Z3                PIC ZZZ.
           03  WRK-Z7                PIC ZZZ,ZZZ.
           03  WRK-Z9                PIC Z,ZZZ,ZZZ.
           03  WRK-SRYYMWH           PIC X(16).
           03  WRK-SEIYMDWH          PIC X(22).
           03  WRK-HENYMDG           PIC X(22).
           03  WRK-SYMD.
               05  WRK-SYY           PIC 9(04).
               05  WRK-SMM           PIC 9(02).
               05  WRK-SDD           PIC 9(02).
           03  WRK-LASTYMD           PIC 9(08).
      *
           03  WRK-KENSU-TBL     OCCURS 2.
               05  WRK-KENSU         PIC 9(05).
           03  WRK-GPAGE             PIC 9(03).
           03  WRK-KEISAN            PIC 9(03).
           03  WRK-AMARI             PIC 9(02).
           03  WRK-HKNJANUM          PIC X(06).
      *
           03  WRK-KASAN-TBL.
               05   WRK-KOHNUM            PIC X(03).
               05   WRK-KOHID             PIC 9(10).
      *
           03  WRK-MAE-INPUT              PIC X(200).
           03  WRK-OUT-INPUT              PIC X(200).
      *
           03  WRK-PATH.
               05  FILLER          PIC S9(09)  BINARY.
               05  FILLER          PIC S9(09)  BINARY.
               05  FILLER          PIC S9(09)  BINARY.
      *
      *    ˣţѥꥢ
       01  KEY-AREA.
           03  KEY-NEW.
               05  KEY-N-HKNKBN           PIC 9(01).
           03  KEY-OLD.
               05  KEY-O-HKNKBN           PIC 9(01).
      *
       01  SUM-AREA.
           03  SUM-GTENSU          PIC 9(09).
           03  SUM-GITBFTN         PIC 9(09).
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-RECE02  PIC 9(06).
           03  CNT-MF100   PIC 9(06).
           03  CNT-PAGE    PIC 9(03).
      *
       01  TABLE-AREA.
           03  TBL-PARA-OCC    OCCURS  100.
               05  TBL-PARA-HKNJANUM    PIC X(08).
               05  TBL-PARA-PTID        PIC 9(10).
      *
       01  WRK-CONS-PARA-MAX   PIC 9(03)   VALUE   100.
      *
      *    DB
           COPY    "ORCA-DBPATH".
      *
      *****************************************************************
      *    ե쥤ȡΰ
      *****************************************************************
      *
      *    ƥޥ
           COPY  "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ
           COPY  "CPSK1002.INC".
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY  "CPJOBKANRI.INC".
      *
      *    Ǽ
       01  SYUNOU-REC.
           COPY  "CPSYUNOU.INC".
      *
      *    Ծ
       01  PTINF-REC.
           COPY  "CPPTINF.INC".
      *
      *    ݸȹ礻
       01  HKNCOMBI-REC.
           COPY    "CPHKNCOMBI.INC".
      *
      *    
           COPY    "CPKOHSKY.INC"
                   REPLACING  //KOHSKY//
                   BY         //RECE02//.
      *
      *    ѥ᥿
       01  BTPARA-REC.
           COPY    "CPBTPARA.INC".
      *
      *****************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *    ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ極
           COPY    "CPORCSPRT.INC".
      *
      *    ̥ѥ᥿
           COPY  "MCPAREA".
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".      
      *
           COPY  "MCPDATA.INC".
      *
      *    ѥåѥ᥿
           COPY    "CPORCSKANACHK.INC".
      *
      ****************************************************************
       LINKAGE  SECTION.
       01  COMMAND-PARAM.
           02  FILLER  PIC X(256).
      *****************************************************************
      *
       PROCEDURE  DIVISION
               USING COMMAND-PARAM.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC  SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
                   UNTIL  FLG-END = 1
      *
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC  SECTION.
      *
           INITIALIZE  FLG-AREA
           INITIALIZE  STS-AREA
           INITIALIZE  WRK-AREA
           INITIALIZE  CNT-AREA
           INITIALIZE  SUM-AREA
           INITIALIZE  IDX-AREA
           INITIALIZE  KEY-AREA
      *
           DISPLAY "START"
           PERFORM 100-DBOPEN-SEC
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    LNK-PRTKANRI-RENNUM
                                               LNK-PRTKANRI-TBL-KEY
                                               LNK-PRTKANRI-TBL-GROUP
                                               LNK-PRTKANRI-SHORI-RENNUM
                                               LNK-PRTKANRI-SRYYM
                                               LNK-PRTKANRI-SKYYMD
                                               LNK-PRTKANRI-SHELLID
                                               LNK-PRTKANRI-PRIORITY
                                               LNK-PRTKANRI-TERMID
                                               LNK-PRTKANRI-OPID
                                               LNK-PRTKANRI-PRTNM
                                               WRK-PARA-JOBID
                                               WRK-PARA-SHELLID
                                               WRK-PARA-HOSPID
                                               WRK-PARA-SYORIFLG
           END-UNSTRING
      *
      *    ƥå׳Ͻ
           MOVE    "STS"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    "SEIKYU2909"    TO  JOB-PGID
           MOVE    "ʡ񼫸ôۻʧٽ" 
                                   TO  JOB-SHELLMSG
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
      *
      *    оǯǽ
           INITIALIZE  WRK-SYMD
           MOVE    LNK-PRTKANRI-SRYYM  TO    WRK-SYMD(1:6)
           PERFORM 31012-LASTDAY-GET-SEC
           MOVE    WRK-SYMD            TO    WRK-LASTYMD
      *
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SYMD (1:6)
           MOVE    "01"                TO  WRK-SYMD (7:2)
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(1:16)   TO  WRK-SRYYMWH 
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    LNK-PRTKANRI-SKYYMD     TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           IF      STS-DAY-RC1         =   ZERO 
                   MOVE    LNK-DAY2-EDTYMD3    TO  WRK-SEIYMDWH
           END-IF
      *
      *
           MOVE  "MF100ZZ"                   TO  MF100PARA-FILE-ID
           MOVE  LNK-PRTKANRI-TERMID(1:16)   TO  MF100PARA-TERMID
      *
           MOVE  "RECEERR"                   TO  RECEERR-FILE-ID
           MOVE  LNK-PRTKANRI-TERMID(1:16)   TO  RECEERR-TERMID
      *
      *    ŵأɣԽ
           INITIALIZE  SYS-1001-REC
           MOVE    "1001"          TO  SYS-1001-KANRICD
           MOVE    "*"             TO  SYS-1001-KBNCD
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                   TO  SYS-1001-STYUKYMD(1:6)
                                       SYS-1001-EDYUKYMD(1:6)
           MOVE    "01"            TO  SYS-1001-STYUKYMD(7:2)
                                       SYS-1001-EDYUKYMD(7:2)
           MOVE    SYS-1001-REC    TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF  FLG-SYSKANRI  =  ZERO
             MOVE  MCPDATA-REC  TO  SYS-1001-REC
           ELSE
             DISPLAY "*** SEIKYU2909 SYS 1001 ERR ***"
             MOVE  1            TO  FLG-END
           END-IF
      *
      *    ŵؾݽϡϢ
           INITIALIZE  SYS-1002-REC
           MOVE    "1002"          TO  SYS-1002-KANRICD
           MOVE    "*"             TO  SYS-1002-KBNCD
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                   TO  SYS-1002-STYUKYMD(1:6)
                                       SYS-1002-EDYUKYMD(1:6)
           MOVE    "01"            TO  SYS-1002-STYUKYMD(7:2)
                                       SYS-1002-EDYUKYMD(7:2)
           MOVE    SYS-1002-REC    TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF  FLG-SYSKANRI  =  ZERO
             MOVE  MCPDATA-REC  TO  SYS-1002-REC
           ELSE
             DISPLAY "*** SEIKYU2909 SYS 1002 ERR ***"
             MOVE  1            TO  FLG-END
           END-IF
      *
      *    ѥ᥿Խ
           PERFORM 1001-PARA-HENSYU-SEC
      *
           PERFORM 900-KOHSKY-START-SEC
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ѥ᥿Խ
      *****************************************************************
       1001-PARA-HENSYU-SEC        SECTION.
      *
           MOVE    ZERO                    TO  IDXX
                                           FLG-SYORI
           INITIALIZE                      TABLE-AREA
      *
           IF      WRK-PARA-SYORIFLG   =   "1" 
               INITIALIZE                      BTPARA-REC
               MOVE    WRK-PARA-SHELLID    TO  BTPARA-SHELLID
               MOVE    WRK-PARA-JOBID      TO  BTPARA-JOBID
               MOVE    BTPARA-REC          TO  MCPDATA-REC
               MOVE    PATH-TBL-BTPARA-KEY5
                                           TO  MCP-PATH
               MOVE    "DBSELECT"          TO  MCP-FUNC
               CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    PATH-TBL-BTPARA-KEY5    TO  MCP-PATH
                   PERFORM 900-BTPARA-READ-N-SEC
               ELSE
                   INITIALIZE                  BTPARA-REC
                   MOVE    1               TO  FLG-BTPARA
               END-IF
      *
               PERFORM     UNTIL   FLG-BTPARA  =   1
                   ADD     1                   TO  IDXX
                   IF      BTPARA-INFO-KBN     =   "1"
                     MOVE    1                 TO  FLG-SYORI
                     MOVE    BTPARA-INFO-PARA
                                       TO TBL-PARA-HKNJANUM(IDXX)
                   ELSE
                     MOVE    2                 TO  FLG-SYORI
                     MOVE    BTPARA-INFO-PTID
                                       TO TBL-PARA-PTID(IDXX)
                   END-IF
                   DISPLAY "ѥ᥿ʬ=" BTPARA-INFO-KBN
                           "ѥ᥿=" BTPARA-INFO-PARA
                           "ݸֹ="   TBL-PARA-HKNJANUM(IDXX)
                           "ֹ="     TBL-PARA-PTID(IDXX)
      *
                   MOVE    PATH-TBL-BTPARA-KEY5    TO  MCP-PATH
                   PERFORM 900-BTPARA-READ-N-SEC
               END-PERFORM
      *
               MOVE    PATH-TBL-BTPARA-KEY5
                                           TO  MCP-PATH
               MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
               CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
      *
               IF      IDXX            =   ZERO
                   MOVE    ZERO            TO  WRK-PARA-SYORIFLG
               END-IF
           END-IF 
           .
       1001-PARA-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC  SECTION.
      *
           OPEN    OUTPUT  MF100-FILE
           CLOSE           MF100-FILE
           OPEN    I-O     MF100-FILE
      *
           MOVE    ZERO    TO  FLG-END
      *
           PERFORM 2001-SYUKEI-SEC
                   UNTIL   FLG-END =   1
      *
           CLOSE   MF100-FILE
      *
           IF      CNT-RECE02  >   0
                   PERFORM 2002-PRINT-SEC
           END-IF
           MOVE    1   TO  FLG-END
      *
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       2001-SYUKEI-SEC  SECTION.
      *
           PERFORM VARYING IDZ FROM    1   BY  1
                   UNTIL   IDZ >       4
             IF  RECE02-KOHNUM (IDZ) = "141" OR "171" OR "271" OR "181"
                                    OR "191"
                 PERFORM 20011-SYUKEI-SEC
             END-IF
           END-PERFORM
      *
           PERFORM 900-KOHSKY-READ-SEC
      *
           .
       2001-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       20011-SYUKEI-SEC  SECTION.
      *
      *    TMP-FILE å
      *
           INITIALIZE       MF100-REC
      *
           MOVE  RECE02-HOSPID             TO  MF100-HOSPID
           MOVE  RECE02-PTNUM              TO  MF100-PTNUM
           MOVE  RECE02-HKNJANUM-KEY       TO  MF100-HKNJANUM-KEY
           MOVE  RECE02-TEKSTYMD           TO  MF100-TEKSTYMD
           MOVE  RECE02-NYUGAIKBN          TO  MF100-NYUGAIKBN
           MOVE  RECE02-SRYYM              TO  MF100-SRYYM
      *
           MOVE  RECE02-PTID               TO  MF100-PTID
           MOVE  RECE02-NAME               TO  MF100-NAME
           MOVE  RECE02-BIRTHDAY           TO  MF100-BIRTHDAY
           MOVE  RECE02-HKN                TO  MF100-HKN
           MOVE  RECE02-RJNHKN             TO  MF100-RJNHKN
      *
           MOVE  RECE02-KOHINF      (IDZ)  TO  MF100-KOHINF
           MOVE  MF100-KOHFTNJANUM         TO  MF100-FTNJANUM
           MOVE  MF100-KOHJKYSNUM          TO  MF100-JKYSNUM
      *
           COMPUTE IDY     =       IDZ     +   1
           MOVE  RECE02-JNISSU      (IDY)  TO  MF100-JNISSU
           MOVE  RECE02-TOTALTEN    (IDY)  TO  MF100-TOTALTEN
           MOVE  RECE02-FTNMONEY    (IDY)  TO  MF100-FTNMONEY
      *
      *    ۽ס񴵼ô۽
           INITIALIZE                 WRK-KASAN-TBL
           MOVE    ZERO               TO    FLG-TYOKI
           MOVE    MF100-KOHNUM       TO    WRK-KOHNUM
           MOVE    MF100-KOHID        TO    WRK-KOHID
           IF      RECE02-NYUGAIKBN    =   "1"
               MOVE    PATH-TBL-SYUNOU-KEY33   TO  WRK-PATH
           ELSE
               MOVE    PATH-TBL-SYUNOU-KEY25   TO  WRK-PATH
           END-IF
           PERFORM  920-SYUNOU-SET-SEC
      *
      *    ٳ
           IF    FLG-TYOKI    =    1
               MOVE    "1"              TO    MF100-TYOKI
             IF  MF100-FTNMONEY    >  10000
                 MOVE  10000            TO    MF100-FTNMONEY
             END-IF
           END-IF
      *
      *
      *    ݸֹå
           MOVE    ZERO    TO  FLG-ERR
           PERFORM 200111-HKNJANUM-CHK-SEC
      *
      *    ݡ̤˷򥫥
      *    ݢݤν˰
           IF      FLG-ERR     =   ZERO    
               IF  RECE02-TEISYUTUSAKI  =  2
                   MOVE  1                TO    MF100-HKNKBN
                   ADD   1                TO    WRK-KENSU(1)
               ELSE
                   MOVE  2                TO    MF100-HKNKBN
                   ADD   1                TO    WRK-KENSU(2)
               END-IF
      *
               WRITE    MF100-REC 
               ADD      1                 TO    CNT-MF100
           ELSE
               DISPLAY "оݳ=" MF100-PTNUM
                       "ʬ="   MF100-NYUGAIKBN
                       "ֹ="   MF100-KOHNUM
                       "="       MF100-TOTALTEN
                       "ô="     MF100-FTNMONEY
                       "ôֹ=" MF100-FTNJANUM
           END-IF
      *
           .
       20011-SYUKEI-EXT.
           EXIT.
      **
      *****************************************************************
      *    ȯԻݸֹ(Į¼ֹ)å
      *****************************************************************
       200111-HKNJANUM-CHK-SEC                SECTION.
      *
           INITIALIZE      WRK-HKNJANUM
           MOVE    MF100-FTNJANUM(3:5)   TO  WRK-HKNJANUM(1:5)
      *
           IF  WRK-PARA-SYORIFLG       =   "1"
               AND FLG-SYORI           =    1
               AND FLG-ERR             =   ZERO
      *
               DISPLAY "åݸֹ="  WRK-HKNJANUM
               MOVE    1       TO      FLG-ERR
               PERFORM VARYING IDXX    FROM    1   BY  1
                       UNTIL   IDXX    >   WRK-CONS-PARA-MAX
                       OR      TBL-PARA-HKNJANUM(IDXX)  =   SPACE
                   IF      WRK-HKNJANUM(1:5)
                                   =   TBL-PARA-HKNJANUM(IDXX)(1:5)
                       MOVE    ZERO                TO  FLG-ERR
                       MOVE    WRK-CONS-PARA-MAX   TO  IDXX
                   END-IF
               END-PERFORM 
           END-IF
      *
           .
       200111-HKNJANUM-CHK-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼեϽ
      *****************************************************************
       2002-PRINT-SEC                SECTION.
      *
           OPEN     INPUT       MF100-FILE
      *
           MOVE     ZERO        TO       FLG-PRINT
      *
      *    ׻
           PERFORM  20011-MAISU-SYUKEI-SEC
      *
      *    եɹ
           PERFORM  900-TMP-READ-SEC
      *
           PERFORM  UNTIL     FLG-PRINT   =  1
      *
      *    ĢɼԽ<Ф>
               PERFORM  310-HEAD-HEN-SEC
      *    ĢɼԽ<>
               PERFORM  320-BODY-HEN-SEC
      *    Ģɼ
               PERFORM  330-PRINT-OUT-SEC
           END-PERFORM
      *
           CLOSE    MF100-FILE
      *
           .
       2002-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       20011-MAISU-SYUKEI-SEC                SECTION.
      *
           PERFORM  VARYING  IDX2  FROM  1  BY  1
                    UNTIL    IDX2  >    2
      *
             MOVE  ZERO                  TO  WRK-KEISAN
                                             WRK-AMARI
             DIVIDE   WRK-KENSU(IDX2)    BY  12
                      GIVING             WRK-KEISAN
                      REMAINDER          WRK-AMARI
             ADD  WRK-KEISAN             TO  WRK-GPAGE
             IF  WRK-AMARI  >  0
               ADD  1                    TO  WRK-GPAGE
             END-IF
           END-PERFORM
      *
           .
       20011-MAISU-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>
      *****************************************************************
       310-HEAD-HEN-SEC          SECTION.
      *
           INITIALIZE                             SC09
      *
           ADD     1    TO    CNT-PAGE
      *
      *    оǯ
           MOVE    WRK-SRYYMWH               TO   SC09-PRTYM
      *
      *    
           MOVE    WRK-SEIYMDWH              TO   SC09-SEIYMD
      *
      *    ŵإ
           MOVE     SYS-1001-HOSPCD          TO   SC09-HOSPCD
      *
      *    ŵؽ
           MOVE     SYS-1002-ADRS            TO   SC09-ADRS
      *
      *    ŵ̾
           MOVE     SYS-1001-HOSPNAME        TO   SC09-HOSPNAME
      *
      *    ߼̾
           MOVE     SYS-1001-KAISETUNAME     TO   SC09-KAISETUNAME
      *
      *    ֹ
           MOVE     SYS-1002-TEL             TO   SC09-TEL
      *
      *    ݸʬ
           IF    MF100-HKNKBN  =  1
               MOVE  ""                    TO   SC09-HKNKBN(1)
           ELSE
               MOVE  ""                    TO   SC09-HKNKBN(2)
           END-IF
      *
      *    ɽʬ
           MOVE      ""                    TO   SC09-TENSUHYO (1)
      *
      *    ڡֹ
           IF  WRK-GPAGE  >  1
             MOVE    WRK-GPAGE                 TO  WRK-Z3
             MOVE    WRK-Z3                    TO  SC09-GPAGE
             MOVE    CNT-PAGE                  TO  WRK-Z3
             MOVE    WRK-Z3                    TO  SC09-PAGE
           END-IF
      *
           INITIALIZE         SUM-AREA
      *
           .
       310-HEAD-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>
      *****************************************************************
       320-BODY-HEN-SEC      SECTION.
      *
           MOVE     KEY-NEW        TO  KEY-OLD
      *
           PERFORM  VARYING  IDX1  FROM  1  BY  1
                    UNTIL    IDX1  >    12
                    OR    KEY-NEW    NOT  =   KEY-OLD
                    OR    FLG-PRINT       =   1
      *
      *    ôֹ 
             MOVE     MF100-FTNJANUM(1:2)    TO  WRK-MAE-INPUT
             PERFORM  2009-HENKAN-SEC
             MOVE     WRK-OUT-INPUT          TO  SC09-FTNJANUM1(IDX1)
      *
             MOVE     MF100-FTNJANUM(5:4)    TO  WRK-MAE-INPUT
             PERFORM  2009-HENKAN-SEC
             MOVE     WRK-OUT-INPUT          TO  SC09-FTNJANUM2(IDX1)
      *
      *    ֹ
             MOVE     MF100-JKYSNUM          TO  WRK-MAE-INPUT
             PERFORM  2009-HENKAN-SEC
             MOVE     WRK-OUT-INPUT          TO  SC09-JKYSNUM(IDX1)
      *
      *    ݸֹ
             MOVE     MF100-HKNJANUM         TO  WRK-MAE-INPUT
             PERFORM  2009-HENKAN-SEC
             EVALUATE  MF100-HKNNUM
                 WHEN  "001"
                     MOVE  WRK-OUT-INPUT(1:8)
                                        TO  SC09-HKNJANUM(IDX1)(9:8)
                 WHEN  "060"
                     MOVE  WRK-OUT-INPUT(1:12)
                                        TO  SC09-HKNJANUM(IDX1)(5:12)
                 WHEN  OTHER
                     MOVE  WRK-OUT-INPUT     
                                        TO  SC09-HKNJANUM(IDX1)
             END-EVALUATE
      *
      *    ̾
             MOVE   MF100-NAME               TO  SC09-NAME(IDX1)
      *
      *    ǯ
             MOVE     MF100-BIRTHDAY         TO  WRK-SYMD
             PERFORM  31012-SEIWA-HEN-SEC
             EVALUATE  LNK-DAY2-EDTYMD2(1:4)
             WHEN  ""
               MOVE    ""                    TO  SC09-TANJOGG(IDX1)
             WHEN  ""
               MOVE    ""                    TO  SC09-TANJOGG(IDX1)
             WHEN  ""
               MOVE    ""                    TO  SC09-TANJOGG(IDX1)
             WHEN  "ʿ"
               MOVE    ""                    TO  SC09-TANJOGG(IDX1)
             END-EVALUATE
             MOVE     LNK-DAY2-EDTYMD2(5:4)    TO  SC09-TANJOYY(IDX1)
             MOVE     LNK-DAY2-EDTYMD2(11:4)   TO  SC09-TANJOMM(IDX1)
             MOVE     LNK-DAY2-EDTYMD2(17:4)   TO  SC09-TANJODD(IDX1)
      *
      *    ʬ
             IF     MF100-NYUGAIKBN       =     "1"
               MOVE    ""            TO  SC09-NYUGAIKBN(IDX1 1)
             ELSE
               MOVE    ""            TO  SC09-NYUGAIKBN(IDX1 2)
             END-IF
      *
      *    ճ
             EVALUATE  MF100-KYURATE
             WHEN 10
               MOVE    ""               TO  SC09-KYURATE(IDX1)
             WHEN 20
               MOVE    ""               TO  SC09-KYURATE(IDX1)
             WHEN OTHER
               MOVE    ""               TO  SC09-KYURATE(IDX1)
             END-EVALUATE
      *
      *    
             MOVE    MF100-JNISSU         TO  WRK-Z2
             MOVE    WRK-Z2               TO  SC09-NISSU(IDX1)
      *
      *    
             MOVE    MF100-TOTALTEN       TO  WRK-Z7
             MOVE    WRK-Z7               TO  SC09-TENSU(IDX1)
      *
      *    ô
             MOVE    MF100-FTNMONEY       TO  WRK-Z7
             MOVE    WRK-Z7               TO  SC09-ITBFTN(IDX1)
      *
      *    Ĺ
             IF    MF100-TYOKI            =   1
               MOVE    ""               TO  SC09-TYOKI(IDX1)
             END-IF
      *
      *    ǯ(٤Τ)
             IF    MF100-SRYYM      NOT   =   LNK-PRTKANRI-SRYYM
               MOVE    MF100-SRYYM        TO  WRK-SYMD (1:6)
               MOVE    "01"               TO  WRK-SYMD (7:2)
               PERFORM 31012-SEIWA-HEN-SEC
               MOVE     LNK-DAY2-EDTYMD2(5:4)   TO  SC09-SRYY(IDX1)
               MOVE     LNK-DAY2-EDTYMD2(11:4)  TO  SC09-SRYM(IDX1)
             END-IF
      *
      *    ײû
             ADD    MF100-TOTALTEN            TO  SUM-GTENSU
             ADD    MF100-FTNMONEY            TO  SUM-GITBFTN
      *
             PERFORM   900-TMP-READ-SEC
           END-PERFORM
      *
      *    
             MOVE   SUM-GTENSU                TO  WRK-Z9
             MOVE   WRK-Z9                    TO  SC09-GTENSU
             MOVE   SUM-GITBFTN               TO  WRK-Z9
             MOVE   WRK-Z9                    TO  SC09-GITBFTN
      *
           .
       320-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       330-PRINT-OUT-SEC                SECTION.
      *
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID 
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE   "SC2909.red"         TO  SPRT-PRTID
           MOVE    "ʡ񼫸ôۻʧٽ"
                                       TO  SPRT-TITLE
           MOVE    SC09                TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       330-PRINT-OUT-EXT.
           EXIT.
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC  SECTION.
      *
           OPEN  INPUT  RECEERR-FILE
           IF  STS-RECEERR  =  ZERO
             CONTINUE
           ELSE
             OPEN  OUTPUT  RECEERR-FILE
      *
             MOVE  WRK-RECEERR  TO  RECEERR-REC
             WRITE RECEERR-REC
           END-IF
      *
           CLOSE  RECEERR-FILE
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       800-SEIKYU-SEC  SECTION.
      *
           PERFORM  VARYING  IDX  FROM  1  BY  1
                    UNTIL    IDX  >    4 OR
                    SYU-KOH-HKNNUM(IDX)  =  SPACE
             IF    SYU-KOH-HKNNUM(IDX)   =   "972"
               MOVE    1     TO    FLG-TYOKI
             END-IF
           END-PERFORM
      *
           .
       800-SEIKYU-SEC-EXT.
           EXIT.
      *
      *****************************************************************
      *  Ǽ󥻥å
      *****************************************************************
       920-SYUNOU-SET-SEC  SECTION.
      *
             INITIALIZE  SYUNOU-REC
             MOVE  RECE02-HOSPID      TO  SYU-HOSPID
             MOVE  RECE02-NYUGAIKBN   TO  SYU-NYUGAIKBN
             MOVE  RECE02-PTID        TO  SYU-PTID
             MOVE  RECE02-SRYYM(1:6)  TO  SYU-SRYYMD(1:6)
             MOVE  "__"               TO  SYU-SRYYMD(7:2)
             MOVE  WRK-KOHNUM         TO  SYU-KOH-HKNNUM(1)
                                          SYU-KOH-HKNNUM(2)
                                          SYU-KOH-HKNNUM(3)
                                          SYU-KOH-HKNNUM(4)
             MOVE  SYUNOU-REC         TO  MCPDATA-REC
             MOVE  "DBSELECT"         TO  MCP-FUNC
             MOVE  WRK-PATH           TO  MCP-PATH
             CALL  "MCPSUB"            USING
                                       MCPAREA
                                       MCPDATA-REC
             IF  MCP-RC  =  ZERO
               MOVE  WRK-PATH         TO  MCP-PATH
               PERFORM  925-SYUNOU-READ-SEC
      *
               PERFORM  UNTIL  FLG-SYUNOU  =  1
                 IF  SYU-DENPJTIKBN   NOT = "3"
                   IF    SYU-HKNCOMBINUM  =  RECE02-HKNCOMBI(1) OR
                                             RECE02-HKNCOMBI(2) OR
                                             RECE02-HKNCOMBI(3) OR
                                             RECE02-HKNCOMBI(4) OR
                                             RECE02-HKNCOMBI(5) OR
                                             RECE02-HKNCOMBI(6) OR
                                             RECE02-HKNCOMBI(7) OR
                                             RECE02-HKNCOMBI(8) OR
                                             RECE02-HKNCOMBI(9) OR
                                             RECE02-HKNCOMBI(10) 
                     PERFORM  910-HKNCOMBI-READ-SEC
                     IF  COMB-KOHID(1)    =  WRK-KOHID   OR
                         COMB-KOHID(2)    =  WRK-KOHID   OR
                         COMB-KOHID(3)    =  WRK-KOHID   OR
                         COMB-KOHID(4)    =  WRK-KOHID
                       PERFORM  800-SEIKYU-SEC
                     END-IF
                   END-IF
                 END-IF
      *
                 MOVE  WRK-PATH         TO  MCP-PATH
                 PERFORM   925-SYUNOU-READ-SEC
               END-PERFORM
             ELSE
               DISPLAY  "SYUNOU SELECT ERR"
             END-IF
      *
             INITIALIZE  MCPAREA
             MOVE  "DBCLOSECURSOR"      TO  MCP-FUNC
             MOVE  WRK-PATH             TO  MCP-PATH
             CALL  "MCPSUB"            USING
                                       MCPAREA
                                       MCPDATA-REC
      *
           .
       920-SYUNOU-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ǽɹ
      *****************************************************************
       925-SYUNOU-READ-SEC  SECTION.
      *
           MOVE  "DBFETCH"      TO  MCP-FUNC
           CALL  "MCPSUB"       USING
                                    MCPAREA
                                    MCPDATA-REC
           IF  MCP-RC  =  ZERO
             MOVE  MCPDATA-REC  TO  SYUNOU-REC
             MOVE  ZERO         TO  FLG-SYUNOU
           ELSE
             INITIALIZE  SYUNOU-REC
             MOVE  1  TO  FLG-SYUNOU
           END-IF
      *
           .
       925-SYUNOU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC   SECTION.
      *
      *
           CLOSE  MF100-FILE
           MOVE  CNT-PAGE  TO  WRK-PARA-PAGE
      *
           DISPLAY "*** SEIKYU2909 IN  "  CNT-RECE02
           DISPLAY "*** SEIKYU2909 OUT "  CNT-MF100
           DISPLAY "*** SEIKYU2909 END ***"
      *
           IF  CNT-MF100  =  0
             DISPLAY "DATA NOT FOUND. PRINT JOB CANCEL!!"
           END-IF
      *
      *    ƥå׽λ
           MOVE    "STE"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-PAGE   TO  JOB-UPDCNT
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
      *
           PERFORM 900-DBDISCONNECT-SEC
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    եɹ
      *****************************************************************
       900-TMP-READ-SEC                SECTION.
      *
           READ  MF100-FILE   NEXT
               AT  END
                   MOVE  1  TO  FLG-PRINT
               NOT  AT  END
                   MOVE  MF100-HKNKBN      TO  KEY-N-HKNKBN
           END-READ
           .
       900-TMP-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-KOHSKY-START-SEC            SECTION.
      *
           INITIALIZE                  RECE02-REC
           MOVE    WRK-PARA-HOSPID     TO  RECE02-HOSPID
           MOVE    LNK-PRTKANRI-SRYYM  TO  RECE02-SKYYM
           MOVE    RECE02-REC          TO  MCPDATA-REC
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    PATH-TBL-KOHSKY-KEY2
                                       TO  MCP-PATH
           CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
           IF      MCP-RC              =   ZERO
               PERFORM 900-KOHSKY-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-END
               PERFORM 900-KOHSKY-CLOSE-SEC
           END-IF
           .
       900-KOHSKY-START-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ޥңţ
      *****************************************************************
       900-KOHSKY-READ-SEC         SECTION.
      *
           MOVE    "DBFETCH"                  TO  MCP-FUNC
           MOVE    PATH-TBL-KOHSKY-KEY2       TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    ZERO            TO  FLG-END
               MOVE    MCPDATA-REC     TO  RECE02-REC
               IF  RECE02-KOHNUM (1)  =  "171" OR "271" OR "141" OR
                                         "181" OR "191" OR
                   RECE02-KOHNUM (2)  =  "171" OR "271" OR "141" OR
                                         "181" OR "191" OR
                   RECE02-KOHNUM (3)  =  "171" OR "271" OR "141" OR
                                         "181" OR "191" OR
                   RECE02-KOHNUM (4)  =  "171" OR "271" OR "141" OR
                                         "181" OR "191" 
      *        ƥȴԤΤȤɤФ
                   MOVE    SPACE               TO  PTINF-REC
                   INITIALIZE                      PTINF-REC
                   MOVE    RECE02-HOSPID       TO  PTINF-HOSPID
                   MOVE    RECE02-PTID         TO  PTINF-PTID
                   MOVE    PTINF-REC           TO  MCPDATA-REC
                   PERFORM 800-PTINF-READ-SEC
                   IF      FLG-PTINF           =   ZERO
                   AND     PTINF-TSTPTNUMKBN   =   "1"
                       GO  TO  900-KOHSKY-READ-SEC
                   END-IF   
      *
      *            ʬɤФ
                   IF  RECE02-SRYYM     NOT =  LNK-PRTKANRI-SRYYM  AND
                       RECE02-HENREIYM  NOT =  "000000"
                     GO  TO  900-KOHSKY-READ-SEC
                   END-IF
      *
      *           ȯԤǴֹξ硢оȽԤ
                   MOVE  ZERO                TO  FLG-ERR
                   IF      WRK-PARA-SYORIFLG   =   "1"
                   AND     FLG-SYORI           =    2
                     MOVE  1                   TO  FLG-ERR
                     PERFORM VARYING IDXX    FROM    1   BY  1
                             UNTIL   IDXX    >   WRK-CONS-PARA-MAX
                             OR      TBL-PARA-PTID(IDXX) =   ZERO
                         IF      RECE02-PTID =   TBL-PARA-PTID(IDXX)
                           MOVE    ZERO        TO  FLG-ERR
                         END-IF
                     END-PERFORM 
                   END-IF
      *
                   IF      FLG-ERR           =   1
                     GO  TO  900-KOHSKY-READ-SEC
                   END-IF
      *
                   ADD  1  TO  CNT-RECE02
               ELSE
                 GO  TO  900-KOHSKY-READ-SEC
               END-IF
           ELSE
               MOVE    1               TO  FLG-END
               PERFORM 900-KOHSKY-CLOSE-SEC
           END-IF
           .
       900-KOHSKY-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥ
      *****************************************************************
       900-KOHSKY-CLOSE-SEC         SECTION.
      *
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
           MOVE    PATH-TBL-KOHSKY-KEY2       TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
           .
       900-KOHSKY-CLOSE-EXT.
           EXIT.
      *****************************************************************
      *    ԥޥɹ
      *****************************************************************
       800-PTINF-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"                 TO  MCP-FUNC
           MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                  TO  MCP-FUNC
               MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
               CALL    "MCPSUB"             USING
                                            MCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-PTINF
                   MOVE    MCPDATA-REC         TO  PTINF-REC
               ELSE
                   MOVE    1                   TO  FLG-PTINF
                   INITIALIZE                  PTINF-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PTINF
               INITIALIZE                  PTINF-REC
           END-IF
      *
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
           MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
      *
           .
       800-PTINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸȹ礻ޥɤ߹
      *****************************************************************
       910-HKNCOMBI-READ-SEC         SECTION.
      *
           INITIALIZE                      HKNCOMBI-REC
           MOVE    SYU-HOSPID                 TO  COMB-HOSPID
           MOVE    SYU-PTID                   TO  COMB-PTID
           MOVE    SYU-HKNCOMBINUM            TO  COMB-HKNCOMBINUM
           MOVE    HKNCOMBI-REC               TO  MCPDATA-REC
           MOVE    "DBSELECT"                 TO  MCP-FUNC
           MOVE    PATH-TBL-HKNCOMBI-KEY      TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                  TO  MCP-FUNC
               MOVE    PATH-TBL-HKNCOMBI-KEY      TO  MCP-PATH
               CALL    "MCPSUB"             USING
                                            MCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    MCPDATA-REC     TO  HKNCOMBI-REC
                   MOVE    ZERO            TO  FLG-HKNCOMBI
               ELSE
                   INITIALIZE                  HKNCOMBI-REC
                   MOVE    1               TO  FLG-HKNCOMBI
               END-IF
           ELSE
               INITIALIZE                  HKNCOMBI-REC
               MOVE    1               TO  FLG-HKNCOMBI
           END-IF
     *
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
           MOVE    PATH-TBL-HKNCOMBI-KEY      TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
      *
           .
       910-HKNCOMBI-READ-EXT.
           EXIT.
      *****************************************************************
      *    н
      *****************************************************************
       31012-LASTDAY-GET-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY7-AREA
           MOVE    "71"                   TO  LNK-DAY7-IRAI
           MOVE    WRK-SYMD     TO  LNK-DAY7-YM
           CALL    "ORCSDAY"       USING   STS-AREA-DAY
                                                  LNK-DAY7-AREA
           MOVE LNK-DAY7-KOYOMI  TO  WRK-SYMD
           .
       31012-LASTDAY-GET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɤ߹
      *****************************************************************
       800-SYSKANRI-READ-SEC  SECTION.
      *
           MOVE    "DBSELECT"              TO  MCP-FUNC
           MOVE    PATH-TBL-SYSKANRI-KEY10 TO  MCP-PATH
           CALL    "MCPSUB"                USING
                                               MCPAREA
                                               MCPDATA-REC
           IF      MCP-RC  =   ZERO
               MOVE    "DBFETCH"               TO  MCP-FUNC
               MOVE    PATH-TBL-SYSKANRI-KEY10 TO  MCP-PATH
               CALL    "MCPSUB"                USING
                                                   MCPAREA
                                                   MCPDATA-REC
               IF      MCP-RC  =   ZERO
                   MOVE    ZERO    TO  FLG-SYSKANRI
               ELSE
                   MOVE    1       TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1       TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "DBCLOSECURSOR"         TO  MCP-FUNC
           MOVE    PATH-TBL-SYSKANRI-KEY10 TO  MCP-PATH
           CALL    "MCPSUB"                USING
                                               MCPAREA
                                               MCPDATA-REC
      *
           .
       800-SYSKANRI-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    Ѵ
      *****************************************************************
       2009-HENKAN-SEC                 SECTION.
      *
           INITIALIZE                  WRK-OUT-INPUT
      *
           INITIALIZE                  ORCSKANACHKAREA
           MOVE    "2"                 TO  KANACHK-SYORI
           MOVE    WRK-MAE-INPUT       TO  KANACHK-MAE-INPUT
           CALL    "ORCSKANACHK"       USING
                                       ORCSKANACHKAREA
           IF      KANACHK-RC          =   ZERO
               MOVE    KANACHK-OUT-INPUT
                                           TO  WRK-OUT-INPUT
           ELSE
               MOVE    WRK-MAE-INPUT       TO  WRK-OUT-INPUT
           END-IF
      *
           .
       2009-HENKAN-EXT.
           EXIT.
      *****************************************************************
      *    ѥ᥿ɹ
      *****************************************************************
       900-BTPARA-READ-N-SEC          SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL    "MCPSUB"            USING
                                       MCPAREA
                                       MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC         TO  BTPARA-REC
               MOVE    ZERO                TO  FLG-BTPARA
           ELSE
               MOVE    1                   TO  FLG-BTPARA
               INITIALIZE                      BTPARA-REC
           END-IF
      *
           .
       900-BTPARA-READ-N-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC  SECTION.
      *
           MOVE  "DBOPEN"   TO  MCP-FUNC.
           CALL  "MCPSUB"     USING
                              MCPAREA
                              MCPDATA-REC.
      *
           MOVE  "DBSTART"  TO  MCP-FUNC.
           CALL  "MCPSUB"     USING
                              MCPAREA
                              MCPDATA-REC.
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC  SECTION.
      *
           MOVE  "DBCOMMIT"      TO  MCP-FUNC.
           CALL  "MCPSUB"     USING
                              MCPAREA
                              MCPDATA-REC.
      *
           MOVE  "DBDISCONNECT"  TO  MCP-FUNC.
           CALL  "MCPSUB"     USING
                              MCPAREA
                              MCPDATA-REC.
           .
       900-DBDISCONNECT-EXT.
           EXIT.
      *
